Subject: bug#52333: [PATCH] Remove extraneous references

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 06 Dec 2021 16:56:09 +0000

Hi Guix,

r-minimal keeps a record of build time inputs in a comment and in a
libtool script.  I don’t know if I may remove them all, but some of them
seem to safe to remove, so that’s what the first patch does.

While I removed texlive-union references from r-minimal, I noticed that
python-nbconvert also does something undesirable: it retains references
to xelatex and bibtex, but takes these from the texlive-union of the
native-inputs.  That seems like a mistake, so I added a regular
texlive-bin input and embedded a reference to *that* instead of the
texlive-union-wrapped scripts.

-- 
Ricardo